0
votes
0answers
17 views

libs versions when cross compiling [duplicate]

I'm trying to build an application. It requires the next libs: libev(x86-32) libev(x86-64) libev-devel(x86-32) libev-devel(x86-64) for Ubuntu I run: sudo apt-get install libev-dev and get libev4 ...
0
votes
1answer
177 views

How to build Ubuntu Touch in 32-bit computer

I was trying to port Ubuntu Touch for my HTC Incredible S. I had setup the source code and drivers. During build, I am getting error that the build can be executed only on 64-bit computer. When I ...
1
vote
0answers
517 views

How do I install/compile CORSIKA & FLUKA for 32-bit Ubuntu 12.04?

I want to use some programs (CORSIKA and FLUKA) which are essentially designed for 32 bit systems. I've installed the 32-bit version of 12.04 on my system (Intel® Core™ i7-2700K CPU @ 3.50GHz × 8). ...
10
votes
3answers
6k views

Build 32-bit on 64-bit Ubuntu: installing ia32-libs does not include libstdc++

Googled for a while but drawn a blank. Need to build 32-bit app on 64-bit Ubuntu. Realise that I need to install ia32-libs. I have done this and apt-get tells me it's already at the latest version. ...
2
votes
1answer
209 views

Compiling on Ubuntu (10 or 11) 32 bits for Debian 6 64 bits

Does a program compiled on Ubuntu 32 bits work on Debian 6 64 bits? I went googling and found: "Normally a program compiled on a 32bit system works on a 64 also, but not the other way." So the 32 ...
7
votes
2answers
546 views

How to cross-compile an existing deb package from 64bit to 32bit architecture

I have rebuilt a deb package with a custom patch for my computer which is a 64bit machine. I did it using: sudo apt-get -b source [package name] Now my question is, how to do that in a similar ...
2
votes
1answer
5k views

How to get 32 bit version of libraries on Ubuntu 64 bit?

I'm trying to compile a program which uses Google's V8 library (which is 32 bit). Therefore any library I use within my program also has to be 32 bit. Where can I download the 32 bit version of ...
2
votes
3answers
22k views

How do I install the build dependencies for Android?

I'm trying build the Android source using these packages. ButI am getting this error: $ sudo apt-get install git-core gnupg flex bison gperf build-essential zip curl zlib1g-dev gcc-multilib ...